tigase.jaxmpp.core.client.xmpp.modules.jingle

## Class JingleModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.jingle.JingleModule

- All Implemented Interfaces:
    XmppModule

      public class JingleModule
      extends Object
      implements XmppModule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `JingleModule.JingleSessionAcceptHandler`
    `static interface` | `JingleModule.JingleSessionInfoHandler`
    `static interface` | `JingleModule.JingleSessionInitiationHandler`
    `static interface` | `JingleModule.JingleSessionTerminateHandler`
    `static interface` | `JingleModule.JingleTransportInfoHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Criteria` | `CRIT`
    `static String[]` | `FEATURES`
    `static String` | `JINGLE_RTP1_XMLNS`
    `static String` | `JINGLE_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JingleModule(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptSession(JID jid, String sid, String name, Element description, List<Transport> transports)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `initiateSession(JID jid, String sid, String name, Element description, List<Transport> transports)`
    `void` | `process(Element element)` Main method of module.
    `protected void` | `processIq(IQ iq)`
    `void` | `terminateSession(JID jid, String sid, JID initiator)`
    `void` | `transportInfo(JID recipient, JID initiator, String sid, Element content)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JINGLE_RTP1_XMLNS

          public static final String JINGLE_RTP1_XMLNS

      See Also:
        Constant Field Values

    - #### JINGLE_XMLNS

          public static final String JINGLE_XMLNS

      See Also:
        Constant Field Values

    - #### CRIT

          public static final Criteria CRIT

    - #### FEATURES

          public static final String[] FEATURES

  - ### Constructor Detail

    - #### JingleModule

          public JingleModule(Context context)

  - ### Method Detail

    - #### acceptSession

          public void acceptSession(JID jid,
                                    String sid,
                                    String name,
                                    Element description,
                                    List<Transport> transports)
                             throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### initiateSession

          public void initiateSession(JID jid,
                                      String sid,
                                      String name,
                                      Element description,
                                      List<Transport> transports)
                               throws JaxmppException

      Throws:
        `JaxmppException`

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException,
                              JaxmppException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### processIq

          protected void processIq(IQ iq)
                            throws JaxmppException

      Throws:
        `JaxmppException`

    - #### terminateSession

          public void terminateSession(JID jid,
                                       String sid,
                                       JID initiator)
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### transportInfo

          public void transportInfo(JID recipient,
                                    JID initiator,
                                    String sid,
                                    Element content)
                             throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.